Bug 233701 - nash-hotplug doesn't terminate itself
nash-hotplug doesn't terminate itself
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
9
All Linux
medium Severity low
: ---
: ---
Assigned To: Peter Jones
David Lawrence
: Reopened
Depends On:
Blocks: 700592
  Show dependency treegraph
 
Reported: 2007-03-23 17:06 EDT by Miroslav Lichvar
Modified: 2011-04-28 14:15 EDT (History)
4 users (show)

See Also:
Fixed In Version: 6.0.19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 700592 (view as bug list)
Environment:
Last Closed: 2009-07-14 14:28:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
nash-hotplug showing in powertop (2.44 KB, text/plain)
2008-06-01 20:25 EDT, William Lovaton
no flags Details
more complete patch (1.08 KB, patch)
2008-09-02 16:51 EDT, Wanderlei Antonio Cavassin
no flags Details | Diff

  None (edit)
Description Miroslav Lichvar 2007-03-23 17:06:21 EDT
Description of problem:
After /sbin/init is executed, nash-hotplug is still running and needs to be
killed in rc.sysinit.

Version-Release number of selected component (if applicable):
nash-6.0.8-4

Steps to Reproduce:
1. comment out line that kills $nashpid in /etc/rc.sysinit
2. boot
  
Actual results:
nash-hotplug is running and eating all cpu time

Expected results:
no sign of nash-hotplug
Comment 1 Warren Togami 2007-12-01 01:42:42 EST
Are you still seeing this in F8+?
Comment 2 Warren Togami 2007-12-01 23:36:54 EST
I see code in nash to kill hotplug before nash completes.  Pretty sure this is
fixed before F8.
Comment 3 Warren Togami 2007-12-02 12:57:54 EST
Actually, this still might be a problem for the bashbranch.  Keeping open for now.
Comment 4 Miroslav Lichvar 2007-12-04 07:07:54 EST
Still reproducible in F8 and rawhide.
Comment 5 Bug Zapper 2008-05-13 22:41:21 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 William Lovaton 2008-06-01 20:25:32 EDT
Created attachment 307325 [details]
nash-hotplug showing in powertop

I don't know if this is related to this bug report but I see nash-hotplug
showing up high in powertop stats on my laptop.  The thing is that I don't see
nash-hotplug running on my system (according to ps) and I can't find that
binary installed anywhere on my hard drive.

I Attached the powertop log showing nash-hotplug as the worst offender and it
is probably the culprit of rising <kernel IPI> interrupts too.

How can I stop it? I don't want it running on my system.

How can I get the real PID of that thing?

My laptop is running a Fedora 8 system with the latest updates.
Comment 7 Wanderlei Antonio Cavassin 2008-08-26 19:44:09 EDT
please consider this patch from a colleague, not sure it is correct,
but it solved the problem.


 diff -rud mkinitrd-6.0.34-orig/nash/hotplug.c
 mkinitrd-6.0.34/nash/hotplug.c ---
 mkinitrd-6.0.34-orig/nash/hotplug.c 2008-03-06 21:20:34.000000000
 -0300 +++ mkinitrd-6.0.34/nash/hotplug.c      2008-03-12
 18:48:46.000000000 -0300 @@ -547,7 +547,7 @@ nashLogger(nc,
 NASH_ERROR, "parent exited without telling us\n");
                        close(nc->hp_childfd);
                        nc->hp_childfd = -1;
   -                    break;
   +                    exit(1);
                    }
                    count += rc;
                }
Comment 8 Wanderlei Antonio Cavassin 2008-09-02 16:51:53 EDT
Created attachment 315599 [details]
more complete patch 

patch from other colleague (olivier blin - maitainer of mkinitrd mandriva)
Comment 9 Peter Jones 2009-02-17 14:54:37 EST
(In reply to comment #8)
> Created an attachment (id=315599) [details]
> more complete patch 
> 
> patch from other colleague (olivier blin - maitainer of mkinitrd mandriva)

Applied.
Comment 10 Bug Zapper 2009-06-09 18:30:54 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-07-14 14:28:17 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.